title: 'Job Seeker Profile'
description: 'A job seeker profile webform template.'
elements: |
  introduction:
    '#markup': |
      <p>Creating a job seeker profile will help companies find you:</p>
      <ul>
      <li>Upload a resume</li>
      <li>Providing more information gives a better picture to employers</li>
      <li>Salary requirements, location preferences and skill level are all important factors in the hiring decision</li>
      </ul>
      
  information:
    '#title': 'Job Seeker Information'
    '#type': webform_section
    first_name:
      '#title': 'First Name'
      '#type': textfield
      '#required': true
    last_name:
      '#title': 'Last Name'
      '#type': textfield
      '#required': true
    address:
      '#type': webform_address
      '#required': true
    current_title:
      '#type': textfield
      '#title': 'Current Job Title'
    current_organization:
      '#type': textfield
      '#title': 'Current Place of Occupation'
    positions:
      '#type': textfield
      '#title': 'Position you are looking for'
    relocation:
      '#type': checkbox
      '#title': 'Willing to relocate'
    salary:
      '#title': 'Salary Minimum'
      '#type': textfield
      '#description': 'Add currency sign/currency code if desired. e.g. 500,000 USD, 500,000 CAD, ¥ 100,000'
    skill:
      '#title': 'Skill Level'
      '#type': radios
      '#options_display': two_columns
      '#options':
        Novice/Beginner: Novice/Beginner
        Intermediate/Proficient: Intermediate/Proficient
        Expert/Advanced: Expert/Advanced
    categories:
      '#title': 'Job Categories'
      '#type': checkboxes
      '#options_display': two_columns
      '#options':
        'Account Manager': 'Account Manager'
        Back-End: Back-End
        Designer: Designer
        DevOps: DevOps
        Front-End: Front-End
        'Project Manager': 'Project Manager'
        Sales: Sales
        'Site Builder': 'Site Builder'
        Themer: Themer
    resume:
      '#type': managed_file
      '#title': Resume
    url:
      '#type': url
      '#title': Website
      '#description': 'Enter your existing profile/resume/portfolio link.'
settings:
  confirmation_message: 'Thank you for applying.'
handlers:
  email_notification:
    label: 'Email Notification'
    settings:
      from_name: '[webform_submission:values:first_name] [webform_submission:values:last_name]'
      subject: _default
      body: _default
